%define name	cupsddk
%define version	1.2.3
%define release %mkrel 2

Summary:	CUPS Driver Development Kit
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Development/C

Source:		ftp://ftp.easysw.com/pub/%{name}/%{version}/%{name}-%{version}-source.tar.bz2

Url:		http://www.cups.org/ddk.php
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	cups >= 1.2.0, %{mklibname cups 2} >= 1.2.0,
Requires:	libcups-devel >= 1.2.0 cupsddk-drivers
%ifarch x86_64
BuildRequires:	libcups-devel >= 1.2.0-0.5361.0mdk
%else
BuildRequires:	libcups-devel >= 1.2.0
%endif
BuildRequires:	cups-common

%description

The CUPS Driver Development Kit (DDK) provides a suite of standard
drivers, a PPD file compiler, and other utilities that can be used to
develop printer drivers for CUPS and other printing environments. CUPS
provides a portable printing layer for UNIX-based operating
systems. The CUPS DDK provides the means for mass-producing PPD files
and drivers/filters for CUPS-based printer drivers.

%package drivers
Summary:	CUPS DDK - Printer drivers
Group:		Publishing
Requires: 	cups >= 1.2.0, ghostscript >= 7.05
%ifarch x86_64
Conflicts:	cups < 1.2.0-0.5361.0mdk
%endif
Conflicts:	cupsddk <= 1.2.3-1mdv2008.1

%description drivers
The CUPS DDK drivers provide support for all HP PCL/RTL and Epson
ESC/P2 devices.

PPD files for these drivers can be generated with the CUPS DDK or
downloaded from the driver section of http://www.cups.org/.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
make install BUILDROOT=$RPM_BUILD_ROOT
             LOGDIR=$RPM_BUILD_ROOT%{_var}/log/cups \
             REQUESTS=$RPM_BUILD_ROOT%{_var}/spool/cups \
             SERVERROOT=$RPM_BUILD_ROOT%{_sysconfdir}/cups \
             AMANDIR=$RPM_BUILD_ROOT%{_mandir} \
             PMANDIR=$RPM_BUILD_ROOT%{_mandir} \
             MANDIR=$RPM_BUILD_ROOT%{_mandir} \
             PAMDIR=$RPM_BUILD_ROOT%{_sysconfdir}/pam.d \
             BINDIR=$RPM_BUILD_ROOT%{_bindir} \
             SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
             INITDIR=$RPM_BUILD_ROOT%{_sysconfdir} \
             DOCDIR=$RPM_BUILD_ROOT%{_defaultdocdir}/ \
             CHOWN=/bin/echo

# Add files proposed to be in the package according the file
# packaging/cupsddk.list
install -d %buildroot%{_libdir}
cp cups/libcupsdriver.a %buildroot%{_libdir}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README.txt LICENSE.txt CHANGES.txt FAQ.txt CREDITS.txt
%{_bindir}/*
%{_libdir}/*.a
%{_includedir}/cups/*
%{_defaultdocdir}/cups
%{_mandir}/*/ppd*
%{_mandir}/*/cupsp*

%files drivers
%defattr(-,root,root)
%dir %{_datadir}/cups/drv
%{_datadir}/%{name}
%{_prefix}/lib/cups/filter/*
%{_prefix}/lib/cups/driver/*
%{_mandir}/man1/commandto*
%{_mandir}/man1/rasterto*


%changelog
* Tue Feb 12 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.3-2mdv2008.1
+ Revision: 165879
- Remove manual installs for files that are already being installed by make
  files.
- Fix packaging by moving /usr/share/cupsddk to cupsddk-drivers package,
  following upstream packaging.

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 1.2.3-1mdv2008.1
+ Revision: 158561
- New version 1.2.3

* Sat Jan 19 2008 Funda Wang <fundawang@mandriva.org> 1.2.0-3mdv2008.1
+ Revision: 155050
- rebuild against latest gnutls

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-2mdv2008.1
+ Revision: 149143
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jul 15 2007 Funda Wang <fundawang@mandriva.org> 1.2.0-1mdv2008.0
+ Revision: 52166
- New version

* Fri Jun 22 2007 Adam Williamson <awilliamson@mandriva.com> 1.1.1-1mdv2008.0
+ Revision: 42673
- new release 1.1.1; update file list per upstream

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Import cupsddk





* Fri Jun 30 2006 Stefan van der Eijk <stefan@eijk.nu> 1.1-0.270.3
- libgnutls rebuild
- BuildRequires: cups-common

* Mon Apr  3 2006 Till Kamppeter <till@mandriva.com> 1.1-0.270.2mdk
- Conflict against too old CUPS versions must be done with "cups"
  and not with "cups-common".

* Mon Apr  3 2006 Till Kamppeter <till@mandriva.com> 1.1-0.270.1mdk
- Updated to SVN revision 270.
- Moved CUPS filter directory from /usr/lib64/cups/filter to
  /usr/lib/cups/filter on 64-bit systems.

* Sat Feb 25 2006 Till Kamppeter <till@mandriva.com> 1.1-0.268.4mdk
- Split package into developer part ("cupsddk") and driver part
  ("cupsddk-drivers").
- Added the HTML and PDF manuals.
- Added several other files not included by "make install".

* Wed Jan 18 2006 Till Kamppeter <till@mandriva.com> 1.1-0.268.3mdk
- Added "Requires: %%{mklibname cups 2} >= 1.2.0", it should work also 
  for 64-bit installation.

* Wed Jan 18 2006 Till Kamppeter <till@mandriva.com> 1.1-0.268.2mdk
- Removed "Requires: libcups2 >= 1.2.0", it breaks 64-bit installation.

* Thu Jan  5 2006 Till Kamppeter <till@mandriva.com> 1.1-0.268.1mdk
- Updated to SVN revision 268 (Fixed compatibility to CUPS 1.2).

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdk
- rebuilt against openssl-0.9.8a

* Wed Jul 13 2005 Till Kamppeter <till@mandrakesoft.com> 1.0.1-1mdk
- Updated to version 1.0.1.

* Fri Jul 23 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-1mdk
- initial release.
